PrivilegedActionException (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.security, class: PrivilegedActionException
Keywords: java.security.PrivilegedActionException class

# Class PrivilegedActionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.PrivilegedActionException

All Implemented Interfaces:
  `Serializable`

public class PrivilegedActionException extends Exception
This exception is thrown by `doPrivileged(PrivilegedExceptionAction)` and `doPrivileged(PrivilegedExceptionAction, AccessControlContext context)` to indicate that the action being performed threw a checked exception. The exception thrown by the action can be obtained by calling the `getException` method. In effect, an `PrivilegedActionException` is a "wrapper" for an exception thrown by a privileged action.

Since:
  1.2
See Also:
  - `PrivilegedExceptionAction`
  - `AccessController.doPrivileged(PrivilegedExceptionAction)`
  - `AccessController.doPrivileged(PrivilegedExceptionAction,AccessControlContext)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrivilegedActionException(Exception exception)`
  Constructs a new `PrivilegedActionException` "wrapping" the specific Exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Exception`
  `getException()`
  Returns the exception thrown by the computation that resulted in this `PrivilegedActionException`.

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
  `Throwable`
  `fillInStackTrace()`
  Fills in the execution stack trace.
  `Throwable`
  `getCause()`
  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
  `String`
  `getLocalizedMessage()`
  Creates a localized description of this throwable.
  `String`
  `getMessage()`
  Returns the detail message string of this throwable.
  `StackTraceElement[]`
  `getStackTrace()`
  Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
  `final Throwable[]`
  `getSuppressed()`
  Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
  `Throwable`
  `initCause(Throwable cause)`
  Initializes the cause of this throwable to the specified value.
  `void`
  `printStackTrace()`
  Prints this throwable and its backtrace to the standard error stream.
  `void`
  `printStackTrace(PrintStream s)`
  Prints this throwable and its backtrace to the specified print stream.
  `void`
  `printStackTrace(PrintWriter s)`
  Prints this throwable and its backtrace to the specified print writer.
  `void`
  `setStackTrace(StackTraceElement[] stackTrace)`
  Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.
  `String`
  `toString()`
  Returns a short description of this throwable.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### PrivilegedActionException

    public PrivilegedActionException(Exception exception)
    Constructs a new `PrivilegedActionException` "wrapping" the specific Exception.
    Parameters:
      `exception` - The exception thrown

- ## Method Details

  - ### getException

    public Exception getException()
    Returns the exception thrown by the computation that resulted in this `PrivilegedActionException`.
    API Note:
      This method predates the general-purpose exception chaining facility. The `Throwable.getCause()` method is now the preferred means of obtaining this information.
    Returns:
      the exception thrown by the computation that resulted in this `PrivilegedActionException`.
    See Also:
      - `PrivilegedExceptionAction`
      - `AccessController.doPrivileged(PrivilegedExceptionAction)`
      - `AccessController.doPrivileged(PrivilegedExceptionAction, AccessControlContext)`